/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# SZERKESZTES.JS                                                   #
# Műalkotás szerkesztését segítő javascript kód                    #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.23.                        #
# Készítette: Lente Tamás                                          #
#                                                                  #
# Függvények:                                                      #
# torles(darab,tabla,feltetelek) - adattorles elok. feldolgozónak  #
# betolt(tabla,mitcsinal,id) - kiegeszito adatlista betoltese      #
# changed(urlap) - urlap tartalmi változásakor a temp mező=1       #
# ellenoriz(urlap,mezonev) - urlap feldolgozas elotti ellenőrzése  #
####################################################################
*/

function torles(darab,tabla,feltetelek) {
  if (darab>1) {
    var ide = "modules/feldolgozo.php?do=delete&table="+tabla+"&feltetel="+feltetelek;
    document.getElementById('feldolgozo').style.visibility = 'visible';
    window.frames['feldolgozo_oldal'].location.href=ide;
    setTimeout("window.location.reload()",1000);              
  }
  else window.alert("Legalább egynek maradnia kell!");
}

function betolt(tabla,mitcsinal,id) {
  document.getElementById('kiegeszito').style.visibility = 'visible'; 
  frames["kieg"].location = "modules/kiegeszito_"+tabla+".php?do="+mitcsinal+"&id="+id;
}
function changed(urlap) {
  urlap.temp.value = 1;
}
function ellenoriz(urlap,mezonev) {
   if ((urlap.ures.value == 1) && (urlap[mezonev].value == '')) {
     window.alert("Az egyik mezőt üresen felejtette. Kérjük töltse ki!");
     urlap[mezonev].focus();
   }
   else if (urlap.temp.value == 1) {
    urlap.temp.value = urlap.name;
    document.getElementById('feldolgozo').style.visibility = 'visible';
    setTimeout(urlap.submit(),500);
  }
}
